QCStatement (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509.qualified

## Class QCStatement

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.qualified.QCStatement

- All Implemented Interfaces:
    ASN1Encodable, ETSIQCObjectIdentifiers, RFC3739QCObjectIdentifiers, Encodable

      public class QCStatement
      extends ASN1Object
      implements ETSIQCObjectIdentifiers, RFC3739QCObjectIdentifiers

  The QCStatement object.

       QCStatement ::= SEQUENCE {
         statementId        OBJECT IDENTIFIER,
         statementInfo      ANY DEFINED BY statementId OPTIONAL}

- - ### Field Summary

    - ### Fields inherited from interface org.bouncycastle.asn1.x509.qualified.ETSIQCObjectIdentifiers

      `id_etsi_qcs_LimiteValue, id_etsi_qcs_QcCompliance, id_etsi_qcs_QcSSCD, id_etsi_qcs_RetentionPeriod`

    - ### Fields inherited from interface org.bouncycastle.asn1.x509.qualified.RFC3739QCObjectIdentifiers

      `id_qcs_pkixQCSyntax_v1, id_qcs_pkixQCSyntax_v2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QCStatement(ASN1ObjectIdentifier qcStatementId)`
    `QCStatement(ASN1ObjectIdentifier qcStatementId, ASN1Encodable qcStatementInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QCStatement` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier` | `getStatementId()`
    `ASN1Encodable` | `getStatementInfo()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QCStatement

          public QCStatement(ASN1ObjectIdentifier qcStatementId)

    - #### QCStatement

          public QCStatement(ASN1ObjectIdentifier qcStatementId,
                     ASN1Encodable qcStatementInfo)

  - ### Method Detail

    - #### getInstance

          public static QCStatement getInstance(java.lang.Object obj)

    - #### getStatementId

          public ASN1ObjectIdentifier getStatementId()

    - #### getStatementInfo

          public ASN1Encodable getStatementInfo()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.